
TYPO3.TypoScript - Feature # 38630

Feature # 38629 (Resolved): Make TypoScript usable outside the context of TYPO3 / Nodes, but also for building extensible FLOW3 applications

Status: Resolved Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-07-04 Assigned To: Sebastian Kurfuerst
Updated: 2012-08-07 Due date:
Subject: Implement TypoScriptView which can be used as replacement of Fluid TemplateView in standard FLOW3 

applications
Description

TypoScript should deliver a standard TypoScriptView which can be used outside of the TYPO3 Context, i.e. for normal FLOW3
applications.

I envision it works as follows:

    -  The user activates it by setting $defaultViewObjectName to the TypoScriptView
    -  The TypoScriptView loads all TypoScript defined in Resources/Private/TypoScript of the currently-requested package, plus
additional extension templates as configured f.e. through Settings.yaml
    -  Then it checks for the class path of the Controller in TypoScript, i.e. if the Controller TYPO3\Blog\Controller\PostController with
action show is triggered, the path TYPO3.Blog.PostController.show needs to contain a TypoScript object which is the base for
rendering
    -  If such a TypoScript object is found, it is used for rendering
    -  If not, we fall back to a fallbackView which is, by default, the standard Fluid TemplateView

Related issues:
blocks Foo.ContentManagement - Major Feature # 37293: Refactor Admin to work ... New 2012-05-18

Associated revisions
Revision ba60d198 - 2012-08-07 13:58 - Sebastian Kurfuerst

[FEATURE] Implement TypoScriptView

The TypoScript view can be used as replacement of Fluid TemplateView in standard FLOW3 applications.

Resolves: #38630
Change-Id: Iae51179fd9a374b5e835049040b58374dd647cc2

History
#1 - 2012-07-05 19:00 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12647

#2 - 2012-08-06 13:58 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12647
#3 - 2012-08-07 13:59 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12647

#4 - 2012-08-07 14:35 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ba60d198a4658e59b21b4af53a442a37ef00853e.
